From: Morten Kjeldgaard <mok@bioxray.au.dk>
Subject: modification to source code


--- a/src/saveSnapDialog.cpp
+++ b/src/saveSnapDialog.cpp
@@ -3,15 +3,15 @@
 #endif
 
 #include <vector>
-#include "SaveSnapDialog.h"
+#include "saveSnapDialog.h"
 #include "HardSettings.h"
 
 
 enum{ ID_ResUp=500, ID_ResDown, ID_Res, ID_AntiAlias, ID_Alpha};
 
-static wxString title[]={"PNG snapshot options","JPG snapshot options","GIF animation options"};
-static wxTextCtrl * resText;
-static wxCheckBox *wxCheckAntia, *wxTransp ;
+static wxString title[]={_T("PNG snapshot options"),_T("JPG snapshot options"),_T("GIF animation options")};
+//static wxTextCtrl * resText;
+//static wxCheckBox *wxCheckAntia, *wxTransp ;
 
 class EventTableEntry{
 public:
@@ -132,16 +132,16 @@
     enableif=lastRadio=NULL;
   }
 
-  bool EndEnableGroup(){
+  void EndEnableGroup(){
     enableif=NULL;
   }
   
-  bool StartEnableGroup(){
+  void StartEnableGroup(){
     enableif=lastRadio;
   }
   
   bool pressButton(wxWindowID x){
-    for (int i=0; i<data.size(); i++) {
+    for (int i=0; i < (int)data.size(); i++) {
       if (data[i].idButMore==x) { data[i].More(); return true;}
       if (data[i].idButLess==x) { data[i].Less();return true;}
     }
@@ -149,27 +149,27 @@
   }
   
   bool pressRadioButton(wxWindowID x){
-    for (int i=0; i<data.size(); i++) 
+    for (int i=0; i < (int)data.size(); i++)
     if (data[i].idRadio==x) { data[i].SetRadioButton();return true;}
     return false;
   }
   
   bool pressCheck(wxWindowID x){
-    for (int i=0; i<data.size(); i++) 
+    for (int i=0; i < (int)data.size(); i++)
       if (data[i].idCheck==x) { data[i].SetCheck();return true;}
     return false;
   }
   
   void Enable(){
-    for (int i=0; i<data.size(); i++) data[i].Enable();
+    for (int i=0; i < (int)data.size(); i++) data[i].Enable();
   }
   
   void transfer(){
-    for (int i=0; i<data.size(); i++) data[i].Transfer();
+    for (int i=0; i < (int)data.size(); i++) data[i].Transfer();
   }
   
   bool insertText(wxWindowID x){
-    for (int i=0; i<data.size(); i++) 
+    for (int i=0; i < (int)data.size(); i++)
       if (data[i].idText==x) { data[i].SetFromText();return true;}
     return false;
   }
@@ -210,7 +210,7 @@
     //checkButton but=new 
   }
   
-  void AddNewInt(wxString label, int *dataz, int min, int max, bool pow2=false, int delta){
+  void AddNewInt(wxString label, int *dataz, int min, int max, bool pow2, int delta){
     EventTableEntry e;
     
     e.idText=newID();
@@ -268,11 +268,14 @@
   int jj=event.GetId();
   if (jj==wxID_CANCEL) {
     m_returnCode=jj;
-    EndDialog(jj);
+    // mok this seems to be a windows routine
+
+    wxDialog::EndDialog(jj);
+
   }
   else if (jj==wxID_OK) {
     m_returnCode=jj;
-    AcceptAndClose();
+    wxDialog::AcceptAndClose();
   } else  {
     if (!eventt.pressButton( jj )) eventt.Enable();
   }
@@ -363,7 +366,7 @@
      
   top->Add( upper, 0,  wxALIGN_CENTER|wxALL, 20 );
   if (mid) top->Add( mid );
-  top->Add( CreateSeparatedButtonSizer(wxOK|wxCANCEL), 0, wxALIGN_CENTER |wxALL, 20 );
+  top->Add( wxDialog::CreateSeparatedButtonSizer(wxOK|wxCANCEL), 0, wxALIGN_CENTER |wxALL, 20 );
   SetSizerAndFit(top);
   eventt.Enable();
 
